complexType "VarianceSwapTransactionSupplement"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 1 attribute, 9 elements
Defined: | globally in fpml-variance-swaps-5-3.xsd; see XML source
Includes: | definition of 1 element
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | primaryAssetClass?, secondaryAssetClass*, productType*, productId*, varianceLeg*, ((multipleExchangeIndexAnnexFallback? | componentSecurityIndexAnnexFallback?)?, localJurisdiction?, relevantJurisdiction?)?
</...>

Content Model Elements (9):

  componentSecurityIndexAnnexFallback,
  localJurisdiction (defined in EquityUnderlyerProvisions.model group),
  multipleExchangeIndexAnnexFallback,
  primaryAssetClass (defined in Product.model group),
  productId (defined in Product.model group),
  productType (defined in Product.model group),
  relevantJurisdiction,
  secondaryAssetClass (defined in Product.model group),
  varianceLeg (defined in VarianceSwapTransactionSupplement complexType)

All Direct / Indirect Based Elements (2):

  varianceSwapTransactionSupplement,
  varianceSwapTransactionSupplement (in varianceOptionTransactionSupplement)

Known Usage Locations

- As direct type of elements (2):
  varianceSwapTransactionSupplement,
  varianceSwapTransactionSupplement (in varianceOptionTransactionSupplement)

Annotation
A Variance Swap Transaction Supplement.
Type Definition Detail

Type Derivation Tree Product (extension) VarianceSwapTransactionSupplement

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="VarianceSwapTransactionSupplement"> <xsd:complexContent> <xsd:extension base="Product"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="varianceLeg" type="VarianceLeg"/> <xsd:group minOccurs="0" ref="EquityUnderlyerProvisions.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 1/9)
varianceLeg

  Type: | VarianceLeg, complex content

  Variance Leg.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="varianceLeg" type="VarianceLeg"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.